Fix some bugs with the cfb1 bitsize handling
[openssl.git] / config
diff --git a/config b/config
index c8886de4310797e10b19c0162b0ecdee64920e54..00f90876118383224f0bd0e1b1f38246da700092 100755 (executable)
--- a/config
+++ b/config
@@ -35,7 +35,8 @@ See INSTALL for instructions.
 
 EOF
 ;;
-*) options=$options" $i" ;;
+*)  i=`echo "$i" | sed -e "s|'|'\\\\\\''|g"`
+    options="$options '$i'" ;;
 esac
 done
 
@@ -454,13 +455,6 @@ case "$GUESSOS" in
     OUT=uClinux-dist
        ;;
   mips3-sgi-irix)
-       #CPU=`(hinv -t cpu) 2>/dev/null | head -1 | sed 's/^CPU:[^R]*R\([0-9]*\).*/\1/'`
-       #CPU=${CPU:-0}
-       #if [ $CPU -ge 5000 ]; then
-       #       options="$options -mips4"
-       #else
-       #       options="$options -mips3"
-       #fi
        OUT="irix-mips3-$CC"
        ;;
   mips4-sgi-irix64)
@@ -470,13 +464,6 @@ case "$GUESSOS" in
          echo "         You have about 5 seconds to press Ctrl-C to abort."
          (trap "stty `stty -g`; exit 0" 2 0; stty -icanon min 0 time 50; read waste) <&1
        fi
-        #CPU=`(hinv -t cpu) 2>/dev/null | head -1 | sed 's/^CPU:[^R]*R\([0-9]*\).*/\1/'`
-        #CPU=${CPU:-0}
-        #if [ $CPU -ge 5000 ]; then
-        #        options="$options -mips4"
-        #else
-        #        options="$options -mips3"
-        #fi
        OUT="irix-mips3-$CC"
        ;;
   ppc-apple-rhapsody) OUT="rhapsody-ppc-cc" ;;
@@ -502,9 +489,7 @@ case "$GUESSOS" in
            echo "         invoke 'KERNEL_BITS=64 $THERE/config $options'."
            if [ "$DRYRUN" = "false" -a -t 1 ]; then
              echo "         You have about 5 seconds to press Ctrl-C to abort."
-             # The stty technique used elsewhere doesn't work on
-             # MacOS. At least, right now on this Mac.
-             sleep 5
+             (trap "stty `stty -g`; exit 1" 2; stty -icanon min 0 time 50; read waste; exit 0) <&1 || exit
            fi
        fi
        if [ "$ISA64" = "1" -a "$KERNEL_BITS" = "64" ]; then
@@ -864,7 +849,7 @@ case "$GUESSOS" in
   i386-*) options="$options 386" ;;
 esac
 
-for i in aes aria bf camellia cast des dh dsa ec hmac idea md2 md5 mdc2 rc2 rc4 rc5 ripemd rsa seed sha
+for i in aes aria bf camellia cast des dh dsa ec hmac idea md2 md5 mdc2 rc2 rc4 rc5 ripemd rsa seed sha sm3 sm4
 do
   if [ ! -d $THERE/crypto/$i ]
   then
@@ -918,7 +903,9 @@ if [ $? = "0" ]; then
     echo $PERL $THERE/Configure $OUT $options
   fi  
   if [ "$DRYRUN" = "false" ]; then
-    $PERL $THERE/Configure $OUT $options
+    # eval to make sure quoted options, possibly with spaces inside,
+    # are treated right
+    eval $PERL $THERE/Configure $OUT $options
   fi
 else
   echo "This system ($OUT) is not supported. See file INSTALL for details."